Subject: LTK1221604355505X
From: Gelna Genosolango <[email-masked]>
To: subir <[email-masked]>
Date: Thu, 6 Aug 2015 04:00:27 +0530 (IST)

LTK1221604355505X 

2 issues 

1. Shipment released on Friday , dispatch on Monday. Agent already explained about the 1 day processing but cs didn't buy this reason. 
2. Promo Code issue 

Cs said he tried to use the code BXLOYAL56 upon check out but it didn't go through. Sanja asked why cs did not attempt to contact us if he was having this issue but cs replied: " I also find it incredible that I have to contact you BEFORE using a Promo code - this would render your slow sevice in releasing goods even more inefficient." 

Please find below the last email from cs: 

I am sorry but you have not answered any of my questions. 

1) The package has NOT been delivered - I left Dubai on 21 Aug and it had not been delivered that morning. Nor has delivery been effected since then as I have emails from DHL telling me of attempted deliveries. The issue has not been DHL but Borderlinx - I still fail to understand how a package that is delivered to your facilities on a Friday morning is not forwarded till Monday evening. 

Can you explain how you "reviewed" my case and found that "delivery was on time" when that is obviously untrue. 

2) I am still to understand how I am supposed to use a loyalty code when there is obviously no process in your checkout routine to use such a code. 

In my last email, I explicitly asked for this matter to be refererred to M Dubisson - this you have failed to do. I will not let this rest and the fact that your responses to date have been evasions and downright lies will be issues that I shall publicise to ensure that the Dubai public does not receive this sort of third rate service. 

I checked DHL and the shipment went out on the 20th and was attempted to be delivered on 23rd.